Get endpoint
GET /v1/endpoints/{id}
Retrieve details of a specific endpoint. The signing secret is not included.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Endpoint identifier (ep_ prefix + 32 hex chars)
Example
ep_550e8400e29b41d4a716446655440000Responses
Section titled “ Responses ”Endpoint details retrieved successfully
object
Full endpoint details (returned by GET /endpoints/:id)
object
Unique endpoint identifier
Example
ep_550e8400e29b41d4a716446655440000Webhook delivery URL
Example
https://customer.app/webhooksOptional description
Example
Main production webhookRate limit in requests per second
Example
10Maximum burst size
Example
20Custom headers for webhook requests
object
Whether the endpoint is paused. When paused, messages are accepted but not delivered.
When the endpoint was created
Example
2025-12-01T10:00:00ZWhen the endpoint was last updated
Example
2025-12-06T12:00:00Zobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "data": { "id": "ep_550e8400e29b41d4a716446655440000", "url": "https://customer.app/webhooks", "description": "Main production webhook", "rate_limit_rps": 10, "burst": 20, "headers": { "X-Custom-Header": "value" }, "created_at": "2025-12-01T10:00:00Z", "updated_at": "2025-12-06T12:00:00Z" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Resource not found
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "NOT_FOUND", "message": "Message not found" }, "meta": { "request_id": "req_xyz123" }}Enter your credentials to populate code examples throughout the docs.